#
# spec file for package vvc-vtm
#
# Copyright (c) 2024 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           vvc-vtm
Version:        23.4
Release:        1699.1.pm.7
Summary:        VVC VTM reference software
License:        BSD-3-Clause
URL:            https://vcgit.hhi.fraunhofer.de/jvet/VVCSoftware_VTM
Source0:        https://vcgit.hhi.fraunhofer.de/jvet/VVCSoftware_VTM/-/archive/VTM-%{version}/VVCSoftware_VTM-VTM-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
ExclusiveArch:  x86_64

%description
VTM reference software for VVC (H.266).

%package doc
Summary:        Docs for %{name}
BuildArch:      noarch

%description doc
Extra documentation for %{name}

%prep
%autosetup -p1 -n VVCSoftware_VTM-VTM-%{version}

%build
%cmake
%cmake_build

%install
# everything is in bin and lib
mkdir -pv %{buildroot}%{_bindir}
install -Dm755 bin/BitstreamExtractorAppStaticp "%{buildroot}%{_bindir}/vvc_bitstream_extractor"
install -Dm755 bin/DecoderAppStaticp "%{buildroot}%{_bindir}/vvc_decoder"
install -Dm755 bin/DecoderAnalyserAppStaticp "%{buildroot}%{_bindir}/vvc_decoder_analyser"
install -Dm755 bin/EncoderAppStaticp "%{buildroot}%{_bindir}/vvc_encoder"
install -Dm755 bin/parcatStaticp "%{buildroot}%{_bindir}/vvc_parcat"
install -Dm755 bin/SEIFilmGrainAppStaticp "%{buildroot}%{_bindir}/vvc_sei_film_grain"
install -Dm755 bin/SEIRemovalAppStaticp "%{buildroot}%{_bindir}/vvc_sei_removal"
install -Dm755 bin/StreamMergeAppStaticp "%{buildroot}%{_bindir}/vvc_stream_merge"
install -Dm755 bin/SubpicMergeAppStaticp "%{buildroot}%{_bindir}/vvc_subpic_merge"

mkdir -pv %{buildroot}%{_defaultdocdir}/%{name}
install -m0644 doc/pyuv_format.pdf doc/software-manual.pdf %{buildroot}%{_defaultdocdir}/%{name}

%check

%files
%license COPYING
%doc README.md
%{_bindir}/vvc_bitstream_extractor
%{_bindir}/vvc_decoder
%{_bindir}/vvc_decoder_analyser
%{_bindir}/vvc_encoder
%{_bindir}/vvc_parcat
%{_bindir}/vvc_sei_film_grain
%{_bindir}/vvc_sei_removal
%{_bindir}/vvc_stream_merge
%{_bindir}/vvc_subpic_merge

%files doc
%doc %{_defaultdocdir}/%{name}/pyuv_format.pdf
%doc %{_defaultdocdir}/%{name}/software-manual.pdf

%changelog
* Mon Jul 29 2024 Luigi Baldoni <aloisio@gmx.com>
- Initial package (v23.4)
